<div 
    #editor class="editor"
>
    <span class="contacts">
        <as-contact-item 
            *ngFor="let contact of contacts; let i = index"
            [contact]="contact"
            [selected]="selectedIndex == i"
            [width]="width"
            (remove)="onRemoveContact($event, i)"
            (click)="onContactItemClick($event, i)"
        >
        </as-contact-item>
    </span>
    <textarea
        #input
        [placeholder]="(contacts.length) ? 'Добавьте пользователей...' : 'Введите имена или адреса эл. почты...'"
        (keydown)="onTextAreaKeyDown($event)"
        (keyup)="onTextAreaKeyUp($event)"
        (blur)="onTextAreaBlur($event)"
        (paste)="onTextAreaPaste($event)"
        style="width: 250px"
    ></textarea>
</div>
<div style="clear: both"></div>
<div class="keyboardControl">
    <input
        #hiddenInput
        (keydown)="onHiddenInputKeyDown($event)"
        (blur)="onHiddenInputBlur($event)"
    >
</div>